<?php
/**
 * @license
 * Copyright 2018 TruongLuu. All Rights Reserved.
 */

namespace Truonglv\StickyTimer\Cron;

use Truonglv\StickyTimer\Entity\Sticky;

class Downgrade
{
    public static function removeExpiredStickies()
    {
        $stickies = \XF::finder('Truonglv\StickyTimer:Sticky')
            ->where('expire_date', 'BETWEEN', [1, \XF::$time])
            ->fetch();

        /** @var Sticky $sticky */
        foreach ($stickies as $sticky) {
            $sticky->delete(false);
        }
    }
}
